% Abbildung Steinsalzkrner

x = (0:9);
y = x + rand(1,10);

set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 6 8]);
set(GCF, 'Units', 'centimeters', 'Position', [1 6 6 8]);
set(GCA, 'Fontsize', 12);

hold on

aapfeil(0,0,10,0,0.4)
aapfeil(0,0,0,10,0.4)
plot(x,y,'k*','Markersize',6)


text(9.5,-0.4,'\epsilon','fontsize',14)
text(0.5,9.9,'\sigma','fontsize',14)

axis([-0.2 10 -0.2 10])
axis off
hold off

print('-depsc','abbEModul')
print('-dpdf','abbEModul')


% Mit Regressionsgerade durch Ursprung

figure 

beta = (x*y')/(x*x');

t = 0:0.01:9.8;
l = beta*t;

set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 6 8]);
set(GCF, 'Units', 'centimeters', 'Position', [1 6 6 8]);
set(GCA, 'Fontsize', 12);

hold on

aapfeil(0,0,10,0,0.4)
aapfeil(0,0,0,10,0.4)
plot(x,y,'k*','Markersize',6)
plot(t,l,'r','Linewidth',1.5)


text(9.5,-0.4,'\epsilon','fontsize',14)
text(0.5,9.9,'\sigma','fontsize',14)

axis([-0.2 10 -0.2 10])
axis off
hold off

print('-depsc','abbEModulL')
print('-dpdf','abbEModulL')


