function Femp(xi,c,a,b,varargin)

if isempty(c)
    c = unique(xi);
    method = 'upper';
else
    method  = 'midpoint';
end
        
h = histogram(xi,[a,c(:)',b]);
x = h.BinEdges;
y = h.BinCounts;
delete(h)

y = y/sum(y);
y = cumsum(y);
y = [y 1];

switch method
    case 'lower'
        x = [x(1),x(3:end),x(end)];
    case 'midpoint'
        x = [x(1),(x(2:end-1)+x(3:end))/2,x(end)];
    case 'linear'
        y = [y(1),y(1),y(2:end-1)];
        plot(x,y,varargin{:})
        return
end
     
X = [x(1:end-1);x(2:end);nan(1,length(x)-1)];
Y = [y(1:end-1);y(1:end-1);nan(1,length(y)-1)];

h = plot(X(:),Y(:),varargin{:});
hold on

X = [nan(1,length(x)-1);x(2:end);x(2:end);];
Y = [nan(1,length(y)-1);y(1:end-1);y(2:end)];

plot(X(:),Y(:),':','Color',h.Color)
I = find(diff(y)==0);
yy = y;
y(I) = nan;
plot(x(2:end-1),y(1:end-2),'o','Color',h.Color,varargin{:},...
    'linewidth',.5,'MarkerFaceColor','w','Markersize',2)
y = yy;
y(I+1) = nan;
plot(x(2:end-1),y(2:end-1),'o','Color',h.Color,'MarkerFaceColor',...
    h.Color,'MarkerSize',2,varargin{:})
hold off

end
