close all
clear all

figuresize(10,5.5)
Table = readtable('wetter2.txt','decimal',',');
Tag = Table.Tag;
T = Table.Temperatur;
plot(Tag,T), xlabel('Tag'), ylabel('Temperatur'), grid on

printpdf('wetter0.pdf')

Noten = readtable('Noten.xlsx','Sheet','Noten Mathematik','ReadRowNames',true);
% Kategorien, hier Noten
C = Noten.Row; % Zeilennamen
H = Noten.Mathematik; % Häufigkeiten in Spalte Mathematik
histogram('Categories',C,'BinCounts',H,'BarWidth',.5)
grid on
ylabel('abs. Häufigkeiten');
title('Säulendiagramm, abs. Häufigkeiten')
printpdf noten1.pdf

histogram('Categories',C,'BinCounts',H,'BarWidth',.5,'Normalization','probability')
grid on
ylabel('rel. Häufigkeiten');
title('Säulendiagramm, rel. Häufigkeiten')
printpdf noten2.pdf

Noten = readtable('Noten.xlsx','Sheet','Noten Mathematik Englisch');
L = Noten.Mathematik; % Notenliste in Spalte Mathematik
histogram(categorical(L),'BarWidth',.5)
grid on; ylabel('abs. Häufigkeiten');
printpdf noten1_.pdf

Noten = readtable('Noten.xlsx','Sheet','Noten Mathematik Englisch');
L = Noten.Mathematik; % Notenliste in Spalte Mathematik
histogram(categorical(L,1:5,{'Einser','Zweier','Dreier','Vierer','Fünfer'}),'BarWidth',.5)
grid on; ylabel('abs. Häufigkeiten');
printpdf noten1__.pdf


% Lesen der Excel-Datei
%                       Excel-Datei   Tabellenblatt
Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Tag = Daten_2001.Tag;
T = Daten_2001.Temperatur;

% % oder die gesamte Tabelle als Matrix
% M = Daten_2001.Variables;
% % die wir selbst in Vektoren zerlegen
% Tag = M(:,1);
% T = M(:,2);

% Histogramme

% Klassen [-7,-5),[-5,-3),...,[5,7]
K = -5:2:7;

% Häufigkeiten
H=histogram(T,K,'FaceColor','y') % Farbe gelb
xlabel('Temperatur'), ylabel('absolut Häufigkeit')
title('Säulendiagramm, abs. Häufigkeit'), grid on
printpdf wetter1.pdf

% relative Häufigkeiten
histogram(T,K,'Normalization','probability')
xlabel('Temperatur'), ylabel('relative Häufigkeit ')
title('Säulendiagramm, rel. Häufigkeit'), grid on
printpdf wetter2.pdf

close all
% Häufigkeiten flächentreu
% = Histogramm lt. Skriptum
% die Säulen sind nur halb so hoch, da die Klassenbreite = 2
histogram(T,K,'Normalization','pdf')
xlabel('Temperatur'), ylabel('rel. Häufigkeit (flächentreu)')
title('Histogramm lt. Skriptum'), grid on
printpdf wetter3.pdf

close all

h = histogram(T,K,'Normalization','cdf');
hold on
stairs([K(1),K],[0,h.Values,h.Values(end)],'r','linewidth',2)
m = (K(1:end-1)+K(2:end))/2;
plot([K(1),m,K(end)],[0,h.Values,1],'b','linewidth',2)
xlabel('Temperatur'), ylabel('Wahrscheinlichkeit')
title('empirische Verteilungsfunktion'), grid on
printpdf wetter4.pdf


close all
% unterschiedlich breite Klassen
K = [-8,-4,-2,0,2,4,8];
histogram(T,K,'Normalization','pdf')
xlabel('Temperatur'), ylabel('rel. Häufigkeit (flächentreu)')
title('Unterschiedliche Klassenbreiten'), grid on
printpdf wetter5.pdf



close all
figuresize(6,7)
h = nexttile
Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Tag = Daten_2001.Tag;
T = Daten_2001.Temperatur;
K = -7:2:7;
histogram(T,K,'Normalization','pdf')
xlabel('Temperatur [°C]'), ylabel('rel. Häufigkeit')
title('Jänner 2001'), grid on
h.XTick = K;

Daten_2002 = readtable('wetter.xlsx','Sheet','Wetter 2002');
T = Daten_2002.Temperatur;
h = nexttile
histogram(T,K,'Normalization','pdf')
xlabel('Temperatur [°C]'), ylabel('rel. Häufigkeit')
title('Jänner 2002'), grid on
h.XTick = K;

printpdf wetter6.pdf

close all
figuresize(6,7)

Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Daten_2002 = readtable('wetter.xlsx','Sheet','Wetter 2002');
T = [Daten_2001.Temperatur,Daten_2002.Temperatur];
boxplot(T,{'Jänner 2001','Jänner 2002'}), grid on
ylabel('Temperatur [°C]'), title('Boxplots')
printpdf wetter7.pdf 

close all
figuresize(5.5,7)

Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Daten_2002 = readtable('wetter.xlsx','Sheet','Wetter 2002');
T = Daten_2002.Temperatur;
Femp(T,-9:2:9,-10,10,'midpoint'),grid on
ylabel('Summenhäufigkeit [ ]')
xlabel('Temperatur [°C]'), title('Summenhäufigkeit (Histogr.)')
printpdf wetter7aa.pdf 
close all
figuresize(4,7)

close all
figuresize(5.5,7)

Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Daten_2002 = readtable('wetter.xlsx','Sheet','Wetter 2002');
T = Daten_2002.Temperatur;
Femp(T,[],-10,10,'upper'), grid on
ylabel('Summenhäufigkeit [ ]')
xlabel('Temperatur [°C]'), title('Summenhäufigkeit (Daten)')
printpdf wetter7ab.pdf 
close all
figuresize(4,7)

Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Daten_2002 = readtable('wetter.xlsx','Sheet','Wetter 2002');
T = Daten_2002.Temperatur;
boxplot(T,{'Jänner 2002'}), grid on
ylabel('Temperatur [°C]'), title('Boxplots')
printpdf wetter7b.pdf 

figuresize(8,7)
close all
Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Daten_2002 = readtable('wetter.xlsx','Sheet','Wetter 2002');
T = Daten_2002.Temperatur;
Femp(T,[],-10,10,'midpoint'), grid on
mu = mean(T);
sigma = std(T);
x = linspace(-10,10);
y = cdf('Normal',x,mu,sigma);
hold on
plot(x,y,'r')
ylabel('Summenhäufigkeit [ ]')
xlabel('Temperatur [°C]'), title('Summenhäufigkeit (Daten)')
printpdf wetter7ac.pdf 
close all
figuresize(4,7)

figuresize(8,7)
close all
Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Daten_2002 = readtable('wetter.xlsx','Sheet','Wetter 2002');
T = Daten_2001.Temperatur;
Femp(T,[],-10,10,'upper'), grid on
mu = mean(T);
sigma = std(T);
x = linspace(-10,10);
y = cdf('Normal',x,mu,sigma);
hold on
plot(x,y,'r')
ylabel('Summenhäufigkeit [ ]')
xlabel('Temperatur [°C]'), title('Summenhäufigkeit (Daten)')
printpdf wetter7ad.pdf 

close all
figuresize(13,4)

mu = 3;
sigma = 1.5;
x = linspace(-1,7);
y = pdf('Normal',x,mu,sigma);
plot(x,y,'r')
h = gca;
h.XTick = [mu-sigma,mu,mu+sigma];
h.YTick = 0.3989/sigma;
h.XTickLabel = {'\mu-\sigma','\mu','\mu+\sigma'};
h.YTickLabel = '0.3989/\sigma';
grid on
h.XLim = [-1,7]
printpdf normal.pdf 


figuresize(8,7)
close all
Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
T = Daten_2001.Temperatur;
histogram(T,-7:2:7,'Normalization','pdf')
mu = mean(T);
sigma = std(T);
x = linspace(-8,8);
y = pdf('Normal',x,mu,sigma);
hold on
plot(x,y,'r')
ylabel('Summenhäufigkeit [ ]')
xlabel('Temperatur [°C]'), title('Summenhäufigkeit (Daten)')
printpdf normal2.pdf 
 

figuresize(10,5.5)



format compact
Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Daten_2002 = readtable('wetter.xlsx','Sheet','Wetter 2002');
T = [Daten_2001.Temperatur,Daten_2002.Temperatur];
Mittelwert = mean(T)
Median = median(T)
Modalwert = mode(T)
Standardabweichung = std(T)
Varianz = var(T)

quantile(T,[0.05 0.1 0.5 0.9 0.95])

close all
Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Tag = Daten_2001.Tag;
T = Daten_2001.Temperatur;
mu = mean(T); sigma = std(T);
K = -7:2:7;
histogram(T,K,'Normalization','pdf')
hold on, t = linspace(-9,9,200);
plot(t,pdf('Normal',t,mu,sigma)), grid on
xlabel('Temperatur'), ylabel('rel. Häufigkeit (flächentreu)')
printpdf wetter8.pdf

close all
Daten_2001 = readtable('wetter.xlsx','Sheet','Wetter 2001');
Tag = Daten_2001.Tag;
T = Daten_2001.Temperatur;
mu = mean(T); sigma = std(T);
K = [-9 -4 -2 -1  0 1 2 4 9];
histogram(T,K,'Normalization','pdf')
hold on, t = linspace(-9,9,200);
plot(t,normpdf(t,mu,sigma)), grid on
xlabel('Temperatur'), ylabel('rel. Häufigkeit (flächentreu)')
printpdf wetter9.pdf 
